<template>
    <header-component/>
    <main class="main">
        <h1 class="title">{{ product.title }}</h1>
        <section class="product">
            <div class="product__img-con">
                <img :src="product.img" alt="">
            </div>
            <div class="product__con">
                <p class="product__price">{{ product.price }} руб.</p>
                <a href="" class="product__button">Купить</a>
                <p class="product__desc">{{ product.desc }}</p>
            </div>
        </section>
        <section class="comments">
            <h2 class="comments__title">Оставить отзыв</h2>
            <form @submit.prevent class="comments__form">
                <label for="title" class="comments__label">Отзыв</label>
                <input type="text" id="title" name="title" class="comments__input" v-model="comment.title">
                <label for="text" class="comments__label">Описание</label>
                <textarea id="text" name="text" cols="30" rows="10" class="comments__input" v-model="comment.text"></textarea>
                <input type="text" name="user" class="comments__input" v-model="comment.user">
                <button @click="createComment([product.id, comment])" class="comments__button">Отправить</button>
            </form>
            <comments-list :product_id="product.id"/>
        </section>
    </main>
    <footer-component/>
</template>

<script>
import FooterComponent from '@/components/FooterComponent.vue'
import HeaderComponent from '@/components/HeaderComponent.vue'
import CommentsList from '@/components/CommentsList.vue'
import {mapGetters, mapActions} from 'vuex'
export default {
    name: 'ProductPage',
    components: {
        HeaderComponent,
        FooterComponent,
        CommentsList,
    },
    data() {
        return {
            productURL: this.$route.params.producturl,
            comment: {
                id: '',
                title: '',
                text: '',
                user: '',
            },
        }
    },
    computed: {
        ...mapGetters({
            product: 'products/PRODUCT'
        }),
    },
    methods: {
        ...mapActions({
            fetchProducts: 'products/FETCH_PRODUCTS',
            getProduct: 'products/GET_PRODUCT',
            createComment: 'comments/CREATE_COMMENT', 
        }),
    },
    mounted() {
        this.getProduct(this.productURL)
    }
}
</script>

<style scoped>
.main {
    max-width: 1400px;
    margin: 0 auto;
}
.product {
    display: flex;
}
.product__con {
    display: flex;
    flex-direction: column;
    margin-left: 130px;
    margin-top: 20px;
    max-width: 600px;
    flex-grow: 0;
}

.product__img-con {
    height: 400px; 
    width: 550px;
    overflow: hidden;
}

.product__img-con img {
    width: 100%;
    height: 100%;
    flex-grow: 1;
}
.product__button{
    display: inline;
    padding: 15px 55px 15px 55px;
    border: 1px solid #000;
    align-self: start;
    border-radius: 5px;
    margin-top: 20px;
}
.product__button:hover{
    opacity: 0.7;
}
.product__price {
    font-size: 30px;
}
.product__desc {
    margin-top: 20px;
    font-size: 20px;
}
.comments__input {
    font-size: 22px;
    border: 1px solid #000;
    border-radius: 4px;
    width: 1000px;
    height: 40px;
    padding-left: 7px;
}
.comments__label {
    display: block;
    margin-top: 10px;
}
.comments__button {
    display: block;
    padding: 4px 18px 4px 18px;
    border: 1px solid #000;
    border-radius: 4px;
    margin-top: 10px;
    margin-bottom: 25px;
}
.comments__button:hover {
    opacity: 0.7;
}
</style>